<template>
  <div class="type-short-text">
    <ValidationProvider
      v-slot="{ errors }"
      :name="$t('label.question_content')"
      rules="required|isHtml"
    >
      <v-text-field
        v-model="question.question"
        :error-messages="errors"
        :label="$t('label.question_content')"
      />
    </ValidationProvider>
    <v-text-field
      v-model="question.description"
      :placeholder="$t('label.questions_description')"
    />
  </div>
</template>

<script>
import { ValidationProvider } from 'vee-validate'

export default {
  name: 'FillOutQuestion',
  components: {
    ValidationProvider
  },
  props: {
    question: {
      type: Object,
      default: null
    }
  }
}
</script>
